Subject: Re: GuixSD on eoma68-a20?

From: Ludovic Courtès <[email-masked]>
Date: Tue, 11 Dec 2018 18:34:11 +0100

Hi Mark,

Mark H Weaver <[email-masked]> skribis:

> Danny Milosavljevic <[email-masked]> writes:
>
>> After the change, I get the following on Hydra <https://hydra.gnu.org/build/3253608/log/raw>:
>>
>> ---------------------------------------------------------------------------
>> @ build-started /gnu/store/scnqgfc3k4434h3gch22hnh0z8qdbvdb-disk-image.drv - x86_64-linux /var/log/guix/drvs/sc//nqgfc3k4434h3gch22hnh0z8qdbvdb-disk-image.drv.bz2
>> environment variable `PATH' set to `/gnu/store/5ka9gmcwcj2919q0cj0wkjng058lwrgq-qemu-minimal-3.0.0/bin:/gnu/store/5s2nib1lrd2101bbrivcl17kjx1mspw6-coreutils-8.30/bin'
>> creating raw image of 1024.00 MiB...
>> Formatting '/gnu/store/4yp6s4jlq2frb2jqzd7q3kp99vzmnpm5-disk-image', fmt=raw size=1073741824
>> Could not access KVM kernel module: Permission denied
>> qemu-system-x86_64: failed to initialize KVM: Permission denied
>
> This indicates that /dev/kvm on hydra.gnunet.org has permissions that
> prevent the guix build user from accessing it.
>
> I raised this issue long ago (2015) on the guix-sysadmin mailing list.
> In that message, I noted that on hydra.gnunet.org, /dev/kvm has mode
> 0600 and is owned by root, which caused our disk image derivations to
> fail.
>
> At the time, Ludovic chmod'd /dev/kvm, and mentioned that he had tried
> to make this persistent via /etc/udev/rules.d/70-persistent-net.rules,
> but that for some reason that didn't seem to work, possibly because it
> was being overridden by another rule or startup script.  As far as I
> know, we never implemented a proper fix.
>
> Ludovic, for now, can you chmod it again?

I did that again this morning.

Apparently there was a typo in the udev rules I had written: “=” instead
of “==”…  Should be better now on the next reboot.

Ludo’.